Skip to main content
POST
/
reference
/
category
Create or update a ticket category
curl --request POST \
  --url https://thalamus.nerds.nl/api/v1/reference/category \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "external_id": "CAT-100",
  "value": "technical",
  "label": "Technical",
  "type_value": "support",
  "sort_order": 123
}
'
{
  "success": true,
  "data": {
    "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "value": "<string>",
    "label": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Partner API key (e.g. nerds_live_a8f3d9k2m5n7p1q4r6t8v0w2x4y6z8)

Body

application/json
external_id
string
required
Example:

"CAT-100"

value
string
required
Example:

"technical"

label
string
required
Example:

"Technical"

type_value
string
required

The ticket type value this category belongs to

Example:

"support"

sort_order
integer | null

Response

Category upserted

success
boolean
Example:

true

data
object
message
string